#ifndef _H_MODEL_H_
#define _H_MODEL_H_

#include "FontModel.h"
#include "Input.h"

class HModel
{
public:
	void Initialize(Font* font, char* text);
	void Frame(Input* input, float dt);
	void Render();

private:
	int model_num = 0;
	int num_models;
	FontModel* m_models;
	bool* m_rotLocks;
	float rotY = 0.0f;
	int rotFlipper = 1;
};
#endif