#ifndef _SPACEOBJECT_H_
#define _SPACEOBJECT_H_

#include "ModelObject.h"

class SpaceObject : public ModelObject
{
public:
	SpaceObject();
	~SpaceObject();

	bool Initialize(char*);
	void Frame(float);
	void Shutdown();

	void SetOrbitSpeed(float);
	void SetOrbitDistance(float);
	void SetOrbitTarget(SpaceObject*);

	

protected:
	float orbitalTicker;
	float orbitSpeed;
	float orbitDistance;
	float rotationalSpeed;
	SpaceObject* orbitTarget;
	Vector3 localTranslate;
	Vector3 localRotate;
	Vector3 localScale;
};

#endif