#ifndef _UTILITY_MATH_H_
#define _UTILITY_MATH_H_

inline float lerp(float x, float y, float s)
{
	return (x + (s*(y - x)));
};

inline void normalize(float v[3])
{
	float magnitude = sqrt(pow(v[0], 2) + pow(v[1], 2) + pow(v[2], 2));

	v[0] /= magnitude;
	v[1] /= magnitude;
	v[2] /= magnitude;
};

#endif